summaryrefslogtreecommitdiffhomepage
path: root/eigen/scripts
diff options
context:
space:
mode:
Diffstat (limited to 'eigen/scripts')
-rw-r--r--eigen/scripts/buildtests.in6
-rw-r--r--eigen/scripts/check.in2
-rw-r--r--eigen/scripts/eigen_gen_docs2
-rw-r--r--eigen/scripts/eigen_monitor_perf.sh25
4 files changed, 30 insertions, 5 deletions
diff --git a/eigen/scripts/buildtests.in b/eigen/scripts/buildtests.in
index 7026373..526d5b7 100644
--- a/eigen/scripts/buildtests.in
+++ b/eigen/scripts/buildtests.in
@@ -2,7 +2,7 @@
if [[ $# != 1 || $1 == *help ]]
then
- echo "usage: ./check regexp"
+ echo "usage: $0 regexp"
echo " Builds tests matching the regexp."
echo " The EIGEN_MAKE_ARGS environment variable allows to pass args to 'make'."
echo " For example, to launch 5 concurrent builds, use EIGEN_MAKE_ARGS='-j5'"
@@ -14,9 +14,9 @@ targets_to_make=`echo "$TESTSLIST" | egrep "$1" | xargs echo`
if [ -n "${EIGEN_MAKE_ARGS:+x}" ]
then
- make $targets_to_make ${EIGEN_MAKE_ARGS}
+ @CMAKE_MAKE_PROGRAM@ $targets_to_make ${EIGEN_MAKE_ARGS}
else
- make $targets_to_make
+ @CMAKE_MAKE_PROGRAM@ $targets_to_make @EIGEN_TEST_BUILD_FLAGS@
fi
exit $?
diff --git a/eigen/scripts/check.in b/eigen/scripts/check.in
index a90061a..7717e2d 100644
--- a/eigen/scripts/check.in
+++ b/eigen/scripts/check.in
@@ -3,7 +3,7 @@
if [[ $# != 1 || $1 == *help ]]
then
- echo "usage: ./check regexp"
+ echo "usage: $0 regexp"
echo " Builds and runs tests matching the regexp."
echo " The EIGEN_MAKE_ARGS environment variable allows to pass args to 'make'."
echo " For example, to launch 5 concurrent builds, use EIGEN_MAKE_ARGS='-j5'"
diff --git a/eigen/scripts/eigen_gen_docs b/eigen/scripts/eigen_gen_docs
index 0e6f9ad..787dcb3 100644
--- a/eigen/scripts/eigen_gen_docs
+++ b/eigen/scripts/eigen_gen_docs
@@ -4,7 +4,7 @@
# You should call this script with USER set as you want, else some default
# will be used
USER=${USER:-'orzel'}
-UPLOAD_DIR=dox
+UPLOAD_DIR=dox-devel
#ulimit -v 1024000
diff --git a/eigen/scripts/eigen_monitor_perf.sh b/eigen/scripts/eigen_monitor_perf.sh
new file mode 100644
index 0000000..39f8e7e
--- /dev/null
+++ b/eigen/scripts/eigen_monitor_perf.sh
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+# This is a script example to automatically update and upload performance unit tests.
+# The following five variables must be adjusted to match your settings.
+
+USER='ggael'
+UPLOAD_DIR=perf_monitoring/ggaelmacbook26
+EIGEN_SOURCE_PATH=$HOME/Eigen/eigen
+export PREFIX="haswell-fma"
+export CXX_FLAGS="-mfma -w"
+
+####
+
+BENCH_PATH=$EIGEN_SOURCE_PATH/bench/perf_monitoring/$PREFIX
+PREVPATH=`pwd`
+cd $EIGEN_SOURCE_PATH/bench/perf_monitoring && ./runall.sh "Haswell 2.6GHz, FMA, Apple's clang" $*
+cd $PREVPATH
+
+ALLFILES="$BENCH_PATH/*.png $BENCH_PATH/*.html $BENCH_PATH/index.html $BENCH_PATH/s1.js $BENCH_PATH/s2.js"
+
+# (the '/' at the end of path is very important, see rsync documentation)
+rsync -az --no-p --delete $ALLFILES $USER@ssh.tuxfamily.org:eigen/eigen.tuxfamily.org-web/htdocs/$UPLOAD_DIR/ || { echo "upload failed"; exit 1; }
+
+# fix the perm
+ssh $USER@ssh.tuxfamily.org "chmod -R g+w /home/eigen/eigen.tuxfamily.org-web/htdocs/perf_monitoring" || { echo "perm failed"; exit 1; }